c************************************************************************
c IO_INIT_PLIDS.F
c************************************************************************
c read planet identification numbers from plids.in file
c
c Input:
c   infile        ==> File name to read from (character*80)
c
c Output:
c   in the common block /planets_ids/
c
      subroutine io_init_plids(infile,nbod,plids)

      include '../swift.inc'

c...  Input
      character*(*) infile
      integer nbod
      integer plids(1:NTPMAX)

c...  Internals
      integer i,ierr

c-----
c...  Executable code      

      write(*,*) 'Planet data file is ',infile

      if (nbod.gt.NTPMAX) then
        write(*,*) ' SWIFT ERROR: in io_init_plids:'
        write(*,*) ' nbod = ', nbod, ' is larger than NTPMAX = ', NTPMAX
        call util_exit(1)
      endif

      if (infile(1:1).eq.'-') then      ! no filename is given => planets are numbered sequentially
        do i = 1, nbod
          plids(i) = -i
        enddo
      else
        call io_open(7,infile,'old','formatted',ierr)
        do i = 1, nbod
          read(7,*,err=990,end=990) plids(i)
        enddo
        close(unit = 7)
      endif

      return

990   continue
      write(*,*) ' SWIFT ERROR: in io_init_plids:'
      write(*,*) ' the number of plids is less than nbod = ', nbod
      call util_exit(1)

      end       ! io_init_plids.f


