#!/usr/bin/env python

"""
accr.py
Accretion w. tracking of original semimajor axis.
Miroslav Broz (miroslav.broz@email.cz), May 29th 2020

"""

import sys

gms = 39.47841760
M_S = 1.989e30
M_E = 5.972e24
tmp = 1.0/gms*M_S/M_E

def follow(filename):

    f = open(filename, "r")
    f2 = open("accr.out", "w")
    f2.write("# t [yr] & m1 [M_E] & m2 [M_E] & m1+m2 [M_E] & a1 [au] & a2 [au] & a [au]\n")

    # M  ... old masses
    # M2 ... new masses
    # M3 ... merged bodies (M2 not in M)
    # M4 ... discarded bodies (M not in M2)

    tlast = 0.0
    M = []
    M2 = []
    j = 0
    for line in f.readlines():
        
        l = line.split()
        t = float(l[1])
        m = round(float(l[8])*tmp,4)
        if t == tlast:
            M.append(m)
        else:
            if len(M) != len(M2) and t > 0.0:
                M3 = []
                for i in xrange(0,len(M2)):
                    if not M2[i] in M:
                        M3.append(M2[i])
                M4 = []
                for i in xrange(0,len(M)):
                    if not M[i] in M2:
                        M4.append(M[i])
 
                M3.sort(reverse=True)
                if len(M3) >= 2:
                    j += 1
                    f2.write("%2d  %.8e  %.4f %.4f  %.4f\n" % (j, t, M3[0], M3[1], M3[0]+M3[1]))
                if len(M3) >= 4:
                    j += 1
                    f2.write("%2d  %.8e  %.4f %.4f  %.4f\n" % (j, t, M3[2], M3[3], M3[2]+M3[3]))
                if len(M3) != 2 and len(M3) > 1:
                    print "j = ", j
                    print "t = ", t
                    print "M = ", M
                    print "M2 = ", M2
                    print "M3 = ", M3
                    print "M4 = ", M4
 
            M2 = []
            for i in xrange(0,len(M)):
                M2.append(M[i])
            M = []

        tlast = t
#        if t > 10.0e6:
#             break

    f.close()
    f2.close()

def main():
    follow(sys.stdin)

if __name__ == "__main__":
    main()

