#!/usr/bin/gnuplot

gms = 39.47841760
M_S = 1.989e30
M_E = 5.972e24

set term png small
set out "at.png"

set xl "t [yr]"
set yl "a [au]"
set cbl "PL id"

set xr [-0.30e8:3.30e8]
set yr [0.0:2.0]
#set yr [0.1:10.0]; set logscale y
set cbr [:-1]
set nokey

tmp=0.7; set arrow from graph 0,first tmp to graph 1,first tmp nohead front lt 0
tmp=1.0; set arrow from graph 0,first tmp to graph 1,first tmp nohead front lt 0

f(m) = sqrt(m/gms*M_S/M_E)*3.0

p \
  "follow.out"  u 2:($3*(1.-$4)) w d lc '#cccccc',\
  "follow.out"  u 2:($3*(1.+$4)) w d lc '#cccccc',\
  "follow.out"  u 2:3:1 w d  lc palette z,\
  "initial.out" u (-0.15e8):3:(f($9)):1 w p pt 7 ps var lc palette z,\
  "final.out"   u ( 3.15e8):3:(f($9)):1 w p pt 7 ps var lc palette z
  


