#!/usr/bin/env python

"""
discard.py
Accretion derived from discrad_mass.out.
Miroslav Broz (miroslav.broz@email.cz), May 29th 2020

"""

import sys

def discard(filename):

    ids = {}
    for i in xrange(0,29+1):
        ids[i] = [i]
    print "ids = ", ids

    f = open(filename, "r")
    f2 = open("discard.out", "w")
    f2.write("# t [yr]         id  N   ids\n")

    while True:
       
        try: 
            l = f.readline().split()
            t = float(l[0])
        except (IOError,IndexError) as ex:
#            print ex
            break

        l = f.readline().split()
        id1 = int(l[1])
        l = f.readline().split()
        l = f.readline().split()

        l = f.readline().split()
        id2 = int(l[1])
        l = f.readline().split()
        l = f.readline().split()

        l = f.readline().split()
        id_ = int(l[1])
        l = f.readline().split()
        l = f.readline().split()

        n = len(ids)

        print ""
        print "t = ", t
        print "id1 = ", id1
        print "id2 = ", id2
        print "id_ = ", id_
        print "n = ", n
        print "ids = ", ids
        print ""

        if id_ == id1:
            ids[id1] += ids[id2]
            ids.pop(id2)
            for i in xrange(id2+1,n):
                ids[i-1] = ids[i]
            if id2 < n-1:
                ids.pop(n-1)
        else:
            print "Error: Merged particle does NOT have id = id1!"
            sys.exit(1)

        print "ids = ", ids

    print ""
    for i in xrange(2,len(ids)):
        print t, i, len(ids[i]), ids[i]
        f2.write("%.10e %2d %2d   " % (t, i, len(ids[i])))
        for j in xrange(0,len(ids[i])):
            f2.write(" %2d" % (ids[i][j]))
        f2.write("\n")
        
    f.close()
    f2.close()

def main():
    discard("discard_mass.out")

if __name__ == "__main__":
    main()


